%define base_name	lxde64blue

Name:		plymouth-theme-%{base_name}
Version:	0.1.0
Release:	%mkrel 1
License:	GPL
Group:		System/Kernel and hardware
URL:		http://pclinuxos.com
Source:		%{name}-%{version}.tar.xz
Summary:	Plymouth Theme LXDE64
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
BuildArch:	noarch


%description
Blue Plymouth Theme for PCLinuxOS LXDE 64bit 2011

%prep

%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/%{base_name}
cp * $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/%{base_name}


%posttrans
/usr/sbin/plymouth-set-default-theme %{base_name}
/usr/share/bootsplash/scripts/switch-themes %{base_name}

%files
%defattr(-,root,root)
%{_datadir}/plymouth/themes/%{base_name}/*
%dir %{_datadir}/plymouth/themes/%{base_name}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{name}

%changelog
* Fri Sep 30 2011 Neal <nealbrks0 at gmail.com> 0.1.0-1pclos2011
- New graphics and new script

* Wed Sep 21 2011 Neal <nealbrks0 at gmail.com> 0.1-1pclos2011
- create 64bit lxde plymouth theme

